// example how to use a message tag for each object

#ifndef _CHAMELEON_INCLUDE
#define _CHAMELEON_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
// this tag is only used if the object message tags are switched off
// ('cppvmDeactivateObjectMsgTag')
#define CPPvmMsgTagClassChameleon 4444

class chameleon : public cppvmObject{
public:

// constructor/destructor
  chameleon(int msgTag);
  virtual ~chameleon();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassChameleon)

public:
  int color;
};

#endif
