// wrapper class for hiddenPoint

#ifndef _CPPVMANOTHERHIDDENPOINT_INCLUDE
#define _CPPVMANOTHERHIDDENPOINT_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"
// hiddenPoint class
#include "hiddenpoint.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
#define CPPvmMsgTagClassCppvmAnotherHiddenPoint 666

class cppvmAnotherHiddenPoint : public cppvmObject{
public:

// constructor/destructor
  cppvmAnotherHiddenPoint();
  virtual ~cppvmAnotherHiddenPoint();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassCppvmAnotherHiddenPoint)

public:
   hiddenPoint value;
private:
  // only used for CPPvm transfer
  int x;
  int y;
};

// output
inline ostream&
operator<<(ostream& strm, cppvmAnotherHiddenPoint& obj){
  strm << obj.value;
  return strm;
}

#endif
