// multiple inheritance

#ifndef _CPPVMDERIVEDPOINT_INCLUDE
#define _CPPVMDERIVEDPOINT_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"
// point class
#include "point.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
#define CPPvmMsgTagClassCppvmDerivedPoint 777

class cppvmDerivedPoint : public point, public cppvmObject{
public:

// constructor/destructor
  cppvmDerivedPoint();
  virtual ~cppvmDerivedPoint();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassCppvmDerivedPoint)
};

// output
inline ostream&
operator<<(ostream& strm, cppvmDerivedPoint& obj){
  strm << (point&)(obj);
  return strm;
}

#endif


