// wrapper class for hiddenPoint

#ifndef _CPPVMHIDDENPOINT_INCLUDE
#define _CPPVMHIDDENPOINT_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"
// hiddenPoint class
#include "hiddenpoint.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
#define CPPvmMsgTagClassCppvmHiddenPoint 555

class cppvmHiddenPoint : public cppvmObject{
public:

// constructor/destructor
  cppvmHiddenPoint();
  virtual ~cppvmHiddenPoint();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassCppvmHiddenPoint)

public:
   hiddenPoint value;
};

// output
inline ostream&
operator<<(ostream& strm, cppvmHiddenPoint& obj){
  strm << obj.value;
  return strm;
}

#endif
