// hidden point
// NO CPPvm class!

#ifndef _HIDDENPOINT_INCLUDE
#define _HIDDENPOINT_INCLUDE

// include template functions
#include "cppvm.h" 
#include <stdio.h>

class hiddenPoint {

private:
  int x;
  int y;

public:
  
// constructor/destructor
  hiddenPoint();
  virtual ~hiddenPoint(){};

  int getX(){return x;}
  int getY(){return y;}
  void setX(int newX){x=newX;}
  void setY(int newY){y=newY;}
  
};

// output
inline ostream&
operator<<(ostream& strm, hiddenPoint& obj){
  strm << "(" << obj.getX() 
       << ";" << obj.getY() << ")";
  return strm;
}

// transfer function for aggregated 'hiddenPoint' objects
void
cppvmTransferHiddenPoint(hiddenPoint* data, int nitem=1, int stride=1);

// specialized template functions
template<>
void
cppvmTransferTemplate(hiddenPoint* data, int nitem, int stride);
template<>
void
cppvmTransferTemplate(hiddenPoint& data, int stride);

#endif

