// example how to write your own send/receivable classes
// class 'minimal' specification
// minimal class specification to allow send/receive

#ifndef _MINIMAL_INCLUDE
#define _MINIMAL_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
#define CPPvmMsgTagClassMinimal 100

class minimal : public cppvmObject{
public:

// constructor/destructor
  minimal();
  virtual ~minimal();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassMinimal)

public:
  int integerValue;
};

#endif
