// point
// NO CPPvm class!

#ifndef _POINT_INCLUDE
#define _POINT_INCLUDE

// include template functions
#include "cppvm.h" 
#include <stdio.h>

class point {
public:

  int x;
  int y;
  
// constructor/destructor
  point();
  virtual ~point(){};
};

// output
inline ostream&
operator<<(ostream& strm, point& obj){
  strm << "(" << obj.x 
       << ";" << obj.y << ")";
  return strm;
}

// transfer function for aggregated 'point' objects
void
cppvmTransferPoint(point* data, int nitem=1, int stride=1);

// specialized template functions
template<>
void
cppvmTransferTemplate(point* data, int nitem, int stride);
template<>
void
cppvmTransferTemplate(point& data, int stride);

#endif
