// class 'warehouse' specification
// producer/consumer semaphore example

#ifndef _WAREHOUSE_INCLUDE
#define _WAREHOUSE_INCLUDE

#include "cppvm.h"

class warehouse{
public:

// constructor/destructor
  warehouse();
  virtual ~warehouse();

  void get();
  void put();
    
  void init(unsigned int number);
  void resize(unsigned int number);

protected:
  // pvm access
  cppvmConnection pvmConn;
  
  // ware
  cppvmInt ware;

  // semaphores
  cppvmSemaphore notFull;
  cppvmSemaphore notEmpty;
  cppvmSemaphore access;
};

#endif
