set terminal postscript

# plot data rate
set xlabel "message size [byte]" 0,-1
set ylabel "transfer rate [MByte/s]" -1,0
#set xtics 0,10000
#set ytics 0,2
plot "explicit-non-blocking" using 1:2 title "PVM explicit-non-blocking" with linespoints
replot "explicit-non-blocking" using 1:3 title "CPPvm explicit-non-blocking" with linespoints
replot "explicit-blocking" using 1:2 title "PVM explicit-blocking" with linespoints       
replot "explicit-blocking" using 1:3 title "CPPvm explicit-blocking" with linespoints       
replot "message-mailbox" using 1:2 title "PVM message-mailbox" with linespoints       
replot "message-mailbox" using 1:3 title "CPPvm message-mailbox" with linespoints       
set output "rate.ps"
replot

# output to std again
set output

# plot cppvmRate/pvmRate
set xlabel "message size [byte]" 0,-1
set ylabel "cppvm rate/pvm rate" -1,0
#set xtics 0,10000
#set ytics 0,2
plot "explicit-non-blocking" using 1:4 title "explicit-non-blocking" with linespoints
replot "explicit-blocking" using 1:4 title "explicit-blocking" with linespoints       
replot "message-mailbox" using 1:4 title "message-mailbox" with linespoints       
set output "ratio.ps"
replot

#pause -1  "Hit return to continue"
 
