#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // join the group "Musketeer"
  pvmConn.joinGroup("Musketeer");
  
  // add host "sun1" to pvm
  //pvmConn.addHost("sun1");

  // spawn child 'athos' 
  // let pvm choose the host
  cppvmSpawnConnection child("athos");

  // blocking receive 
  // from any process
  cppvmReceiveStream recStrm(CPPvmRBany);

  // empty messages object
  cppvmString msg;

  // receive message
  recStrm >> msg;

  // write message
  cout << msg << endl;

  // halt the virtual machine
  pvmConn.halt();

  return 0;
}
