// cppvm 'send/rec/distributed of a new class'

#include "cppvm.h"
// include new class 'bigger'
#include "bigger.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  // object of new class
  bigger bigObj;

  // spawn child process 'big2'
  cppvmSpawnConnection child("big2");
  
  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  bigObj.cppvmDistObj("biggerObject");

  for(i=0;i<500;i++){
    // update the local value with the value
    // in the message box
    bigObj.cppvmReadMboxInfo();
    cout << bigObj.cppvmDoubleVal
         << endl; 
  }
  cout << endl;
  
  /////////////////////////
  // send/receive object //
  /////////////////////////

  // receive descriptor	  
  // (blocking receive 
  //  from child process)
  cppvmReceiveStream recStrm(child, 
                             CPPvmRBchild);

  // receive message from child process
  recStrm >> bigObj;
  
  cout << "received value: " 
       << bigObj.cppvmDoubleVal << endl;

  // halt the virtual machine
  pvmConn.halt();

  return 0;
}
