// class 'bigger' implementation

// include specification file
#include "bigger.h"

// default constructor
// call the base class constructor
bigger::bigger()
    : minimal()
{
  cFloatArray = new float[100];
  int i;
  for(i=0;i<100;i++){
    cFloatArray[i] = (float) i;
  }
}

// destructor
bigger::~bigger()
{
  delete [] cFloatArray;
}

// cppvmTransfer
// used by send/receive/distributed/mailbox messages of this class
void
bigger::cppvmTransfer()
{
  // do I send or receive data?
  if(cppvmIsTransferSend()){
    cout << "cppvmTransfer send" << endl;
  }
  if(cppvmIsTransferReceive()){
    cout << "cppvmTransfer receive" << endl;
  }

  // transfer base 
  // class variables
  minimal::cppvmTransfer();

  // basic C/C++ types
  // transfer 100 floats
  cppvmTransferFloat(cFloatArray, 100);

  // transfer cppvm variables
  cppvmDoubleVal.cppvmTransfer();
  cppvmLongArrayVal.cppvmTransfer();
}

