// include specification file
#include "boolar.h"

// default constructor
// call the base class constructor
boolArray::boolArray()
    : cppvmObject()
{
  int i;
  boolArr = new bool[10];
  for(i=0; i<10; i++){
    boolArr[i] = (bool)(i%2);
  }
}

// destructor
boolArray::~boolArray()
{
  delete [] boolArr;
}

// cppvmTransfer
void
boolArray::cppvmTransfer()
{
  // transfer standard types (int, float, double, ...)
  // with the functions 'cppvmTransfer<Type>'
  cppvmTransferBool(boolArr, 10);
}

void 
boolArray::cppvmPrintOn(ostream& strm)
{
  int i;
  strm << "Boolean Array: [ ";
  for(i=0;i<10;i++){
    strm << boolArr[i] << " ";
  }
  strm << "]";
}






