#include "cppvm.h"
#include "warehouse.h"

int
main()
{
  int i;
  
  // connect to pvm
  cppvmConnection pvmConn;

  // semaphore
  cppvmSemaphore ready("ready");

  // warehouse
  warehouse room;
  
  // consume 10 objects
  for(i=0; i<10; i++){
    room.get();
  }
  
  // release producer
  ready.leave();
  // wait for resize
  ready.enter();
  
  // consume 10 objects
  for(i=0; i<10; i++){
    room.get();
  }

  // release producer
  ready.leave();

  return 0;
}

