// explicit message passing with 
// standard C++ types:
// bool, char, double, float, int, long
// and constants
#include "cppvm.h"

int
main()
{
  // spawn child process
  cppvmSpawnConnection child("cpptypes2");

  // receive descriptor   
  // (blocking receive 
  //  from child process)
  cppvmReceiveStream recStrm(child, 
    CPPvmRBchild);

  bool bVar;
  char cVar;
  double dVar;
  float fVar;
  int iVar;
  long lVar;
  int iCVar;
  float fCVar;
  double dCVar;

  recStrm >> bVar >> cVar >> dVar 
          >> fVar >> iVar >> lVar
          >> iCVar >> fCVar >> dCVar;

  cout << "received bVar: " << bVar 
       << " cVar: " << cVar 
       << " dVar: " << dVar 
       << " fVar: " << fVar 
       << " iVar: " << iVar 
       << " lVar: " << lVar 
       << " iCVar: " << iCVar 
       << " fCVar: " << fCVar 
       << " dCVar: " << dCVar 
       << endl;

  // halt the virtual machine
  child.halt();

  return 0;
}

