#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;
  
  // spawn three child processes 
  cppvmSpawnMultiConnection
    children("musketeer", 3);

  // blocking send to all
  // children
  cppvmSendStream sendStrm(children,
                           CPPvmSBallChildren);

  // message
  cppvmString msg("One for all!");
  
  cout << msg << endl;

  // send message 
  sendStrm << msg;

  // blocking receive from any 
  // process 
  cppvmReceiveStream recStrm(CPPvmRBany);

  int i;
  for(i=0;i<3;i++){
    recStrm >> msg;
    cout << msg << endl;
  }

  // halt pvm
  pvmConn.halt();

  return 0;
}

