#include "cppvm.h"

int
main()
{
  int i;

  // connect to pvm
  cppvmConnection pvmConn;

  // integer object
  cppvmInt distInt(0);
  // connect to message mailbox
  distInt.cppvmDistObj("uniqueKeyNameForThisDistIntObj");

  for(i=0; i< 1000; i++){
    // use write() to update distributed object
    distInt.write(i);
  }

  // send integer to parent process
  distInt = 0;

  // send descriptor
  // blocking send to parent process
  cppvmSendStream sendStrm(pvmConn, CPPvmSBparent);

  // send message to parent process
  sendStrm << distInt;

  return 0;
}
