// cppvm 'hello world'
#include "cppvm.h"

int
main()
{
  // connect to pvm and
  // spawn child 'hello2' on 'sun1'
  //cppvmSpawnConnection child("hello2", "", 
  //  PvmTaskHost, "sun1");

  // let pvm choose the host
  cppvmSpawnConnection child("hello2");

  // receive descriptor   
  // (blocking receive 
  //  from child process)
  cppvmReceiveStream recStrm(child, 
    CPPvmRBchild);

  // empty messages object
  cppvmString childMsg;

  // receive message
  recStrm >> childMsg;
  
  cout << childMsg << endl;

  // halt the virtual machine
  child.halt();

  return 0;
}

