// cppvm 'send/rec/distributed of a minimal new class'

#include "cppvm.h"
// include new class 'minimal'
#include "minimal.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  // object of new class
  minimal miniObj;

  // spawn child process 'mini2'
  cppvmSpawnConnection child("mini2");
  
  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  miniObj.cppvmDistObj("minimalObject");

  for(i=0;i<500;i++){
    // update the local value with the value
    // in the message box
    miniObj.cppvmReadMboxInfo();
    cout << '\r' 
         << miniObj.integerValue;
    cout.flush(); 
  }
  cout << endl;
  
  /////////////////////////
  // send/receive object //
  /////////////////////////

  // receive descriptor	  
  // (blocking receive 
  //  from child process)
  cppvmReceiveStream recStrm(child, 
                             CPPvmRBchild);

  // receive message from child process
  recStrm >> miniObj;
  
  cout << "received value: " 
       << miniObj.integerValue << endl;

  // halt the virtual machine
  pvmConn.halt();

  return 0;
}
