#include "cppvm.h"
// include new class 'minimal'
#include "minimal.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  // object of new class
  minimal miniObj;

  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  miniObj.cppvmDistObj("minimalObject");

  for(i=0;i<500;i++){
    // update message mailbox
    miniObj.integerValue = i;
    miniObj.cppvmWriteMboxInfo();
  }

  /////////////////////////
  // send/receive object //
  /////////////////////////

  // send descriptor
  // (blocking send 
  //  to parent process)
  cppvmSendStream sendStrm(pvmConn, 
                      CPPvmSBparent);
  
  miniObj.integerValue=999;
  // send object to parent process
  sendStrm << miniObj;

  return 0;
}
