#include "cppvm.h"
// sleep
#include "examplesdefines.h"

int
main()
{
  int i;
  cppvmSpawnConnection *visitor;

  // connect to pvm
  cppvmConnection pvmConn;
  
  // redirect output
  cppvmCatchout catchOut(CPPvmStdout);

  cout << "Welcome to the Oktoberfest!"
       << endl;

  // visitors of
  // type A arrive
  for(i=0; i<5; i++){
    visitor = new cppvmSpawnConnection("visitor-a");
    CPPVM_SLEEP(1);
  }

  // visitors of
  // type B arrive
  for(i=0; i<5; i++){
    visitor = new cppvmSpawnConnection("visitor-b");
    CPPVM_SLEEP(1);
  }
  
  // halt the virtual machine
  pvmConn.halt();

  return 0;
}

