#include "cppvm.h"

int
main(int argc, char *argv[])
{
  // process must be called
  // with one argument
  if(argc!=2){
    cerr << "wrong number of arguments" 
         << endl;
    exit(1);
  }
  
  // connect process to pvm
  cppvmConnection pvmConn;

  // empty string
  cppvmString spice;
  
  // connect to message mailbox
  // make object persistent;
  // allow multiple instances
  spice.cppvmSetMboxWrite("hotSpices",
                          PvmMboxPersistent
                          +PvmMboxMultiInstance);


  // copy first argument
  spice = argv[1];
  // write spice into message mailbox
  spice.cppvmWriteMboxInfo();

  return 0;
}


