// simple stl example

#include "cppvm.h"

#ifndef CPPvmDoNotUseStdNamespace
// stl namespace
using namespace std;
#endif

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  vector<int> vect;

  // spawn child process
  cppvmSpawnConnection child("stl2");
  
  // receive descriptor	(blocking receive from child process)
  cppvmReceiveStream recStrm(child, CPPvmRBchild);

  // receive object from child process
  recStrm >> vect;
  
  // halt the virtual machine
  pvmConn.halt();

  return 0;
}

