#include "cppvm.h"

#ifndef CPPvmDoNotUseStdNamespace
// stl namespace
using namespace std;
#endif

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  cppvmStlString strCppvm;
  string str;

  cout << "distributed object..." << endl;

  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  strCppvm.cppvmDistObj("string");

  int i;
  for(i=0;i<500;i++){
    strCppvm = (char)((int)('1')+(i%9));
    // update message mailbox
    strCppvm.cppvmWriteMboxInfo();
  }

  cout << "send objects..." << endl;

  /////////////////////////
  // send/receive object //
  /////////////////////////

  // send descriptor
  // (blocking send 
  //  to parent process)
  cppvmSendStream sendStrm(pvmConn, 
                           CPPvmSBparent);
  
  strCppvm = "Hello";
  str = "there!";
  
  // send objects to parent process
  sendStrm << strCppvm << str;

  return 0;
}
