#include "cppvm.h"
// include new class 'minimal'
#include "minimal.h"
// include new template class 'myTemplate'
#include "template.h"

void
templExample2()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // use one of these object
  // ATTENTION: it must be the
  // same as in 'templ.cpp'
  myTemplate<int> templObj;
  //myTemplate<cppvmDouble> templObj;
  //myTemplate<minimal> templObj;

  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  templObj.cppvmDistObj("templateObject");

  int i;
  for(i=0;i<500;i++){
    // update message mailbox
    templObj.integerValue = i;
    templObj.cppvmWriteMboxInfo();
  }

  /////////////////////////
  // send/receive object //
  /////////////////////////

  // send descriptor
  // (blocking send 
  //  to parent process)
  cppvmSendStream sendStrm(pvmConn, 
                      CPPvmSBparent);
  
  templObj.integerValue=999;
  // send object to parent process
  sendStrm << templObj;
}

int
main(){
  CPPvmTryAll(templExample2())
  return 0;
}
