#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;
  
  // semaphores
  cppvmSemaphore reservation("seatReservation");
  cppvmSemaphore ready("synchronize");
  
  // integer object
  cppvmInt seats(0);
  // register object
  seats.cppvmDistObj("seats");

  bool maxReached = false;

  while(maxReached==false){
    // enter critical section
    reservation.enter();

    // reserve seat
    seats.cppvmReadMboxInfo();
    if((int)seats==100){
      maxReached = true;
    }
    else{
      cout << "terminalB, reservation for seat no." 
           << seats << endl;
      // set next available seat
      seats++;
      seats.cppvmWriteMboxInfo();
    }

    // leave critical section
    reservation.leave();
  }

  // allow parent process 
  // to continue
  ready.leave();

  return 0;
}
