// visitor type A
// (enthusiastic)
#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // generate barrier
  cppvmBarrier ride("merry-go-round", 5);

  cout << "Wow, a merry-go-round!"
       << endl;

  // wait until enough 
  // visitors joined 
  // the merry-go-round
  ride.barrier();

  cout << "Huuuurrrray!"
       << endl;

  // set new barrier
  ride.set("roller coaster", 10);

  cout << "Hey, a roller coaster!"
       << endl;

  // wait until enough 
  // visitors joined 
  // the roller coaster
  ride.barrier();

  cout << "Yiiiiiipppppiiii!"
       << endl;

  return 0;
}

