// wrapper class for point

#ifndef _CPPVMPOINT_INCLUDE
#define _CPPVMPOINT_INCLUDE

// base class 'cppvmObject'
#include "pvm_obj.h"
// point class
#include "point.h"

// unique(!) message tag for this class
// must not be in range [99900-99999] (used by 'PVM*' classes)
#define CPPvmMsgTagClassCppvmPoint 444

class cppvmPoint : public cppvmObject{
public:

// constructor/destructor
  cppvmPoint();
  virtual ~cppvmPoint();

// transfer method
// used by send/receive/distributed/mailbox messages of this class
  virtual void cppvmTransfer();
    
// pvm message tag declaration
  CPPvmMethodsDeclaration(CPPvmMsgTagClassCppvmPoint)

public:
   point value;
};

// output
inline ostream&
operator<<(ostream& strm, cppvmPoint& obj){
  strm << obj.value;
  return strm;
}

#endif
