#ifndef _MUTEXOBJECT_H
#define _MUTEXOBJECT_H

#include "cppvm.h"

class distObjWrapper {
  
public:
  // common constructors
  distObjWrapper (bool increase_) : increase(increase_)
  {
    // register object
    c.cppvmDistObj("counter");
  }
  // destructor
  virtual ~distObjWrapper() {}

  int operator() () 
  {
    c.cppvmReadMboxInfo();
    if(increase){
      c++;
    }
    else{
      c--;
    }
    c.cppvmWriteMboxInfo();
    return (int)c;
  }
  
  cppvmInt c;
  bool increase;
};


#endif /* _MUTEXOBJECT_H */

