#include "cppvm.h"
// include array type ("../h/array.h")
#include "array.h"

void fillArray(ArrayType& array)
{
  unsigned int i;
  for(i=0;i<array.numElems();i++){
    array[i] = i+97;
  }
}

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // send descriptor
  // (blocking send to parent process)
  cppvmSendStream sendStrm(pvmConn, CPPvmSBparent);
  
  // array
  // 'ArrayType' is defined in '../h/array.h'
  ArrayType array(5);

  fillArray(array);

  // send message to parent process
  sendStrm << array << array;
  
  return 0;
}
