#include "cppvm.h"
#include "boolar.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  // object of new class
  boolArray baObj;

  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  baObj.cppvmDistObj("baObject");

  for(i=0;i<500;i++){
    // update message mailbox
    baObj.boolArr[i%10] = !(baObj.boolArr[i%10]);
    baObj.cppvmWriteMboxInfo();
  }

  /////////////////////////
  // send/receive object //
  /////////////////////////

  // send descriptor
  // (blocking send 
  //  to parent process)
  cppvmSendStream sendStrm(pvmConn, 
                           CPPvmSBparent);
  
  for(i=0;i<5;i++){
    baObj.boolArr[i] = true;
  }
  for(i=5;i<10;i++){
    baObj.boolArr[i] = false;
  }
  
  // send object to parent process
  sendStrm << baObj;

  return 0;
}
