#include "cppvm.h"
// include new class 'bigger'
#include "bigger.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  // object of new class
  bigger bigObj;

  /////////////////////////
  // distributed object  //
  /////////////////////////

  // register the object 
  // as a distributed object
  bigObj.cppvmDistObj("biggerObject");

  for(i=0;i<500;i++){
    // update message mailbox
    bigObj.cppvmDoubleVal = (double) i;
    bigObj.cppvmWriteMboxInfo();
  }

  /////////////////////////
  // send/receive object //
  /////////////////////////

  // send descriptor
  // (blocking send 
  //  to parent process)
  cppvmSendStream sendStrm(pvmConn, 
                      CPPvmSBparent);
  
  bigObj.cppvmDoubleVal=8888;
  // send object to parent process
  sendStrm << bigObj;

  return 0;
}
