#include "cppvm.h"
// include new class 'chameleon'
#include "chameleon.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // object with object 
  // message tag 4
  chameleon chamObj(4);

  // non-blocking send descriptor
  cppvmSendStream sendStrm(pvmConn, CPPvmSNBparent);

  // send object to parent process
  sendStrm << chamObj;

  // use the class message tag
  chamObj.cppvmDeactivateObjectMsgTag();

  // send object again
  sendStrm << chamObj;

  return 0;
}
