#include "cppvm.h"

int
main()
{
  // connect process to pvm
  cppvmConnection pvmConn;

  // add host "sun1" to pvm
  //pvmConn.addHost("sun1");

  // spawn child processes
  // let pvm choose the host  
  cppvmSpawnConnection spice1("spice",
                              "pepper");
  cppvmSpawnConnection spice2("spice",
                              "chili");
  cppvmSpawnConnection spice3("spice",
                              "curry");

  int spiceNumber=0;
  int nclasses;
  struct pvmmboxinfo *classes;

  // wait until all spices are registered
  while(spiceNumber!=3){
    // read all message box entries
    pvmConn.cppvmGetMboxInfo("hotSpices",
                             &nclasses,
                             &classes);
    spiceNumber = classes[0].mi_nentries;
  }
	
  // empty string
  cppvmString favoriteSpice;
  
  // init read access
  favoriteSpice.cppvmSetMboxRead("hotSpices");
  
  // read object with
  // index 1 (range [0..2])
  favoriteSpice.cppvmReadMboxInfo(1);
  cout << "Well, for THIS soup I need some " << favoriteSpice 
       << " (hehehe)." << endl;
  
  // halt the virtual machine
  pvmConn.halt();

  return 0;
}

