#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  int i;
  cppvmString distStr2("");

  // connect to message mailbox
  distStr2.cppvmDistObj("scrollText");
  // set message
  distStr2 = "I am a scrolling distributed text. ";
  
  
  for(i=0; i< 500; i++){
    // use 'cppvmWriteMboxInfo' to 
    // update distributed object
    distStr2.cycleShiftLeft();
    distStr2.cppvmWriteMboxInfo();
  }

  cppvmString rotateString("Look at me! Another great scroll text! ");
  for(i=0; i<500; i++){
    // use write() to 
    // update distributed object
    rotateString.cycleShiftLeft();
    distStr2.write(rotateString.getPtr());
  }

  // send string to parent process
  distStr2 = "The End";
  // send descriptor
  // blocking send to 
  // parent process
  cppvmSendStream sendStrm(pvmConn, CPPvmSBparent);

  // send message to 
  // parent process
  sendStrm << distStr2;

  return 0;
}
