#include "cppvm.h"
// sleep
#include "examplesdefines.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // spawn child process, 
  // redirect output
  cppvmCatchout catchOut(CPPvmStdout);
  cppvmSpawnConnection child("backdoor");

  // generate barrier
  cppvmBarrier pitbull("do-not-bite-me", 2);
  
  cout << "paperboy: here "
       << "is your newspaper." 
       << endl;

  // wait until the news-
  // paper is delivered
  // and the the paper-
  // boy is gone
  CPPVM_SLEEP(1);

  // call barrier
  pitbull.barrier();

  cout << "pitbull: "
       << "grr-wuff-grr." 
       << endl;

  // wait to collect
  // 'cout' from child
  CPPVM_SLEEP(1);

  // halt the virtual machine
  child.halt();

  return 0;
}

