#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // receive from any process
  // timeout every 1.2 seconds
  // recStrm(<mode>,<sec>,<usec>
  cppvmReceiveStream recStrm(CPPvmRTany, 
    1, 200000);

  // empty messages object
  cppvmString msg;

  // receive message
  recStrm >> msg;

  if(recStrm.received()){
    // write message
    cout << msg << endl;
  }
  else{
    cout << "timeout: no message"
         << " received." << endl;
  }

  // halt the virtual machine
  pvmConn.halt();

  return 0;
}
