#include "cppvm.h"

int
main()
{
  int errNum;
  cppvmString mboxStr2;

  // connect to pvm
  cppvmConnection pvmConn;

  // connect to message mailbox
  // read- and writable
  // allow other processes to overwrite/delete
  // instances of this object in the message mailbox
  // persistent: the entry remain in database even
  // when this task exits! (must be deleted or the pvm
  // daemon must be reseted to get rid of this entry)
  mboxStr2.cppvmSetMboxWrite("uniqueKeyName",
                             PvmMboxOverWritable
                             +PvmMboxPersistent);

  // fill string
  errNum = 33;
  mboxStr2.printFormat("error message number %d", errNum);
  // write string into message mailbox
  mboxStr2.cppvmWriteMboxInfo();

  // set debug level
  pvmConn.setDebugLevel(1);

  // wait for message from parent
  cppvmReceiveStream recStrm(pvmConn, CPPvmRBparent);
  cppvmString recStr;

  recStrm >> recStr;

  return 0;
}

