#include "cppvm.h"

// counter
cppvmInt countVar;

void
decCounter()
{
  countVar.cppvmReadMboxInfo();
  countVar--;
  countVar.cppvmWriteMboxInfo();
}

int
main()
{
  int i;
  
  // connect to PVM
  cppvmConnection pvmConn;

  // register the object 
  // as distributed object
  countVar.cppvmDistObj("counter");

  for(i=0; i< 1000; i++){
    // call the function 
    // 'decCounter'encapsulated 
    // by the standard 
    // semaphore variable
    cppvmMutex(decCounter);
  }

  return 0;
}
