// cppvm semaphore synchronization example
#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // add host "sun1" to pvm
  //pvmConn.addHost("sun1");

  // semaphore
  cppvmSemaphore ready("done");
  // set number of allowed entries
  ready.setNumber(0);

  // catchout to stdout 
  cppvmCatchout catchout(CPPvmStdout);
  // spawn 3 children 'numcrunch2'
  cppvmSpawnMultiConnection children("numcrunch2",3);

  // wait for children
  int i;
  for(i=0; i<3; i++){
    ready.enter();
    cout << "Ready no.: " << i+1 << endl;
  }
  
  // halt the virtual machine
  pvmConn.halt();

  return 0;
}

