#include "cppvm.h"

int
main()
{
  // connect to pvm
  cppvmConnection pvmConn;

  // direct all couts of the
  // children to stdout
  cppvmCatchout catchOut(CPPvmStdout);

  // spawn child 'paul2' on 'sun1'
  //cppvmSpawnConnection child("paul2", "", 
  //  PvmTaskHost, "sun1");

  // let pvm choose the host
  cppvmSpawnConnection child("paul2");

  int taskId=-1;

  while(taskId<0){
    taskId= child.getTidOfTask("mary2");
  }

  // (blocking send 
  //  to task)
  cppvmSendStream sendStrm(taskId, 
    CPPvmSBtid);

  // message
  cppvmString sendMsg("hello mary2!");

  // send message 
  sendStrm << sendMsg;

  return 0;
}


