// point
// NO CPPvm class!

// include specification file
#include "point.h"

// default constructor
point::point()
{
  x=0;
  y=0;
}

// transfer function for aggregated 'point' objects
void
cppvmTransferPoint(point* data, int nitem, int stride)
{
  int i;
  for(i=0;i<nitem;i++){
    cppvmTransferInt(&(data[i].x));
    cppvmTransferInt(&(data[i].y));
  }
}

// specialized template functions
template<>
void
cppvmTransferTemplate(point* data, int nitem, int stride)
{
  int i;
  for(i=0;i<nitem;i++){
    cppvmTransferInt(&(data[i].x));
    cppvmTransferInt(&(data[i].y));
  }
}
template<>
void
cppvmTransferTemplate(point& data, int stride)
{
  cppvmTransferInt(&(data.x));
  cppvmTransferInt(&(data.y));
}



